Bug 164052 - hotplug does not wait for /dev/usb/lp0 creation
hotplug does not wait for /dev/usb/lp0 creation
Product: Fedora
Classification: Fedora
Component: hotplug (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2005-07-23 08:11 EDT by Thomas Winkler
Modified: 2014-03-16 22:55 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-08-04 11:22:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Thomas Winkler 2005-07-23 08:11:36 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.10) Gecko/20050720 Fedora/1.0.6-1.1.fc4 Firefox/1.0.6

Description of problem:
I installed the printer driver for my hp LaserJet 1000 from the site http://foo2zjs.rkkda.com/ and setup the hotplug scripts using "make install-hotplug"

When I plug the printer, the /var/log/messages says
kernel: usb 2-1: new full speed USB device using ohci_hcd and address 33
kernel: drivers/usb/class/usblp.c: usblp0: USB Bidirectional printer dev 33 if 0 alt 0 proto 2 vid 0x03F0 pid 0x0517

Then the script /etc/hotplug/usb/hplj1000 is executed, but at the time of execution there is no /dev/usb and obviousely also no /dev/usb/lp0

If I wait a little bit (after hotplug has finished) and run "/etc/hotplug/usb.rc start" as root, then on the second run the /dev/usb/lp0 is present and the firmware is loaded to the printer.

I think that somehow hotplug is running the scripts before udev has created the /dev/usb/lp0

I did not have this problem with FC3

How is hotplug able to know that it should run the usb subsystem scripts if the usb devices are not yet known to the system (mounted by udev?)

Version-Release number of selected component (if applicable):
hotplug-2004_09_23-7 udev-058-1

How reproducible:

Steps to Reproduce:
1. enable DEBUG=yes in all hotplug files
2. unplug and plug printer
3. check /var/log/messages for successfull firmware load


Actual Results:  within the script there is a line
usblps=`find /dev/usb -name lp*`" "`find /dev -name usblp*`
which returns a single space every time

Expected Results:  the usblps should be "/dev/usb/lp0 "

Additional info:
Comment 1 Bill Nottingham 2005-08-04 11:22:47 EDT
If it's relying on the device node, it should run as a udev rule or as a dev.d
script, not a hotplug script.

Note You need to log in before you can comment on or make changes to this bug.